# SIPEndPoint::RegistrationStatus Struct Reference

`#include <sipep.h>`

Collaboration diagram for SIPEndPoint::RegistrationStatus:

[legend]

## Data Fields

SIPRegisterHandler * | m_handler
| Handler for registration.
PString | m_addressofRecord
| Address of record for registration.
bool | m_wasRegistering
| Was registering or unregistering.
bool | m_reRegistering
| Was a registration refresh.
SIP_PDU::StatusCodes | m_reason
| Reason for status change.
OpalProductInfo | m_productInfo
| Server product info from registrar if available.
void * | m_userData
| User data corresponding to this registration.

## Detailed Description

Information provided on the registration status.

## Field Documentation

PString SIPEndPoint::RegistrationStatus::m_addressofRecord

Address of record for registration.

SIPRegisterHandler* SIPEndPoint::RegistrationStatus::m_handler

Handler for registration.

OpalProductInfo SIPEndPoint::RegistrationStatus::m_productInfo

Server product info from registrar if available.

SIP_PDU::StatusCodes SIPEndPoint::RegistrationStatus::m_reason

Reason for status change.

bool SIPEndPoint::RegistrationStatus::m_reRegistering

Was a registration refresh.

void* SIPEndPoint::RegistrationStatus::m_userData

User data corresponding to this registration.

bool SIPEndPoint::RegistrationStatus::m_wasRegistering

Was registering or unregistering.

The documentation for this struct was generated from the following file:

- sipep.h